Orchestration API

GET /orders

Lists orders with optional filters for sender, status, chain IDs, and pagination.

This endpoint lists orders with optional filters for sender, status, chain IDs, and pagination.

TypeScript Types: Generate types for this API with a single command. See Type Generation.
API Reference: For detailed schema definitions and interactive testing, see the API Reference.

Request

Endpoint

GET /orders

Headers

x-api-key: YOUR_API_KEY

Query Parameters

FieldTypeRequiredDescription
senderstringNoFilter by sender wallet address
statusOrderStatusNoFilter by order status: CREATED, COMPLETED, or CANCELLED
originChainIdnumberNoFilter by origin chain ID
destChainIdnumberNoFilter by destination chain ID
limitnumberNoMaximum number of results to return
offsetnumberNoPagination offset

Example Request

import type { components } from "./m0-swap";

type OrdersResponse = components["schemas"]["OrdersResponse"];

const params = new URLSearchParams({
  sender: "0xYourWalletAddress",
  status: "CREATED",
  limit: "20",
  offset: "0",
});

const response = await fetch(
  `https://orchestration-api.m0.xyz/orders?${params.toString()}`,
  {
    method: "GET",
    headers: {
      "x-api-key": YOUR_API_KEY,
    },
  },
);

if (!response.ok) {
  const error = await response.text();
  throw new Error(`Get orders failed: ${error}`);
}

const result: OrdersResponse = await response.json();

Response

Success Response (200)

Returns an OrdersResponse object.

import type { components } from "./m0-swap";

type OrdersResponse = components["schemas"]["OrdersResponse"];
type Order = components["schemas"]["Order"];
type OrderStatus = components["schemas"]["OrderStatus"];

Response Fields

FieldTypeDescription
ordersOrder[]List of matching orders
totalnumberTotal matching records available
limitnumberPage size returned
offsetnumberPagination offset returned
Further inspect the response fields on the API reference.

Example Response

{
  "orders": [
    {
      "orderId": "0xabc123",
      "createdAt": "2026-02-19T14:31:03.120Z",
      "originChainId": 1,
      "sender": "0xYourWalletAddress",
      "tokenIn": "0x866A2BF4E572CbcF37D5071A7a58503Bfb36be1b",
      "amountIn": "1000000",
      "destChainId": 8453,
      "tokenOut": "0x866A2BF4E572CbcF37D5071A7a58503Bfb36be1b",
      "amountOut": "999500",
      "designatedSolver": "0xSolverAddress",
      "openTx": "0xOpenTxHash",
      "amountOutFilled": "0",
      "fillCount": 0,
      "amountInReleased": "0",
      "fillReportCount": 0,
      "amountRefunded": "0",
      "status": "CREATED",
      "resolvedAt": null
    }
  ],
  "total": 1,
  "limit": 20,
  "offset": 0
}

Notes

  • Use limit and offset together for pagination
  • status values are uppercase enum values
Copyright © M0 Foundation 2026